
/*
    VPPP virtual PPP connection over TCP.

    Copyright (C) 1998  Maxim Krasnyansky <max@uznet.net>

    Idea is based on Sam Lantinga's PPPTCP package, but code was 
    completely written from the scratch.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

/*
 * Version: 1.2 12/01/1998 Maxim Krasnyansky <max@uznet.net>
 */ 

/* Default VPPP port */
#define VPPP_PORT 4000

/* Default VPPP connect timeout in sec */
#define VPPP_CONN_TIMEOUT 30

/* Size of the buffer for non shaped connection */
#define VPPP_BUF_SIZE 3000

/* Size of the first server message */
#define VPPP_MESG_SIZE 10  

/* Default host file and max. number of hosts in it */
#define VPPP_HOSTS_FILE "/etc/vppp/hosts"
#define VPPP_MAX_HOSTS  200

/* Priority of the vppp proccess in the link_fd function */
#define VPPP_LINKFD_PRIO -10

/* Location of pppd */
#define PPPD "/usr/sbin/pppd"
/* Max. len of pppd arguments string */
#define PPPD_ARGS_LEN 200

/* End of configurable part */


int link_fd_shaper(int fd1,int fd2,int speed);
int link_fd(int fd1,int fd2);
int getpty(char *pty);
int start_ppp(int rt_fd, char *host, unsigned long speed, char *ppp_arg);
void exec_pppd(char *arg);

void init_title(int argc,char *argv[],char *env[]);
void set_title(const char *ftm, ...);

int connect_t(int s, struct sockaddr *svr, time_t timeout);

int write_n(int f, char *buf, int len);     
int read_n(int f, char *buf, int len);     
